<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.11.0" />
    <PackageReference Include="xunit" Version="2.4.1" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.3">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="coverlet.collector" Version="3.1.0">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\src\1-Domain\Caitlyn.Investments.Domain.Abstractions\Caitlyn.Investments.Domain.Abstractions.csproj" />
    <ProjectReference Include="..\..\..\src\1-Domain\Caitlyn.Investments.Domain.Calculators\Caitlyn.Investments.Domain.Calculators.csproj" />
    <ProjectReference Include="..\..\..\src\1-Domain\Caitlyn.Investments.Domain.Models\Caitlyn.Investments.Domain.Models.csproj" />
  </ItemGroup>

</Project>
